include ../../Makefile.site

CC    = c++ -Wall
CVERS = 

SOURCES = $(shell ls *.cc)

# Get the module name.
MODULE  = $(shell basename `pwd`)

$(LIB)/librip$(MODULE).a: $(HEADERS) $(SOURCES) $(DEFS)
	$(CC) -c $(CFLAGS) $(SOURCES) 
	ar -r $(LIB)/librip$(MODULE).a *.o $(LIBS)

clean:
	$(RM) core *.o $(LIB)/librip$(MODULE).a

all: .

